#if __linux__
#include "platform/platform_linux.c"
#endif

#if _WIN32
#include "platform/platform_windows.c"
#endif

#if __APPLE__ || __MACH__
#error Not yet implemented
#endif

#if __unix__ && !__linux__
#error Not yet implemented
#endif 

i32 Printf(const char *fmt, ...)
{
	va_list arg;

	va_start(arg, fmt);
	i32 result = _Printf(fmt, arg);
	va_end(arg);

	return result;
}

i32 Printfln(const char *fmt, ...)
{
	va_list arg;

	va_start(arg, fmt);
	i32 result = _Printfln(fmt, arg);
	va_end(arg);

	return result;
}

i32 EPrintf(const char *fmt, ...)
{
	va_list arg;

	va_start(arg, fmt);
	i32 result = _EPrintf(fmt, arg);
	va_end(arg);

	return result;
}

